# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libdomtreeviewerplugin (kpart) ############

tde_add_kpart( libdomtreeviewerplugin AUTOMOC
  SOURCES plugin_domtreeviewer.cpp domtreeview.cpp domlistviewitem.cpp
    domtreewindow.cpp domtreecommands.cpp signalreceiver.cpp domtreeviewbase.ui
    attributeeditdialog.ui elementeditdialog.ui texteditdialog.ui
    messagedialog.ui
  LINK tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( domtreeviewer )


##### other data ################################

install( FILES plugin_domtreeviewer.rc plugin_domtreeviewer.desktop
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
)

install( FILES domtreeviewerui.rc
  DESTINATION ${DATA_INSTALL_DIR}/domtreeviewer
)

install( FILES plugin_domtreeviewer.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
)

install( FILES ../uninstall.desktop
  RENAME domtreeviewerplugin.desktop
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
)
